Recommended update for pacemaker

SUSE Recommended Update: Recommended update for pacemaker
Announcement ID: SUSE-RU-2020:1136-1
Rating: moderate
References: #1154881 #1160410 #1168771
Affected Products:
  • SUSE Linux Enterprise High Availability 15

An update that has three recommended fixes can now be installed.

Description:

This update for pacemaker fixes the following issues:

  • libcrmcluster: use uint64_t type for corosync ringid (membership id) when updating the node state. (bsc#1168771)

  • get ready for implicit -fno-common with upcoming GCC 10. (bsc#1160410)

  • attrd: properly declare global variables as extern in header. (bsc#1160410)

  • scheduler: make sure cluster-wide maintenance-mode=true overrides per-resource settings. (bsc#1154881)

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise High Availability 15:
    zypper in -t patch SUSE-SLE-Product-HA-15-2020-1136=1

Package List:

  • SUSE Linux Enterprise High Availability 15 (aarch64 ppc64le s390x x86_64):
    • libpacemaker-devel-1.1.18+20180430.b12c320f5-3.21.1
    • libpacemaker3-1.1.18+20180430.b12c320f5-3.21.1
    • libpacemaker3-debuginfo-1.1.18+20180430.b12c320f5-3.21.1
    • pacemaker-1.1.18+20180430.b12c320f5-3.21.1
    • pacemaker-cli-1.1.18+20180430.b12c320f5-3.21.1
    • pacemaker-cli-debuginfo-1.1.18+20180430.b12c320f5-3.21.1
    • pacemaker-debuginfo-1.1.18+20180430.b12c320f5-3.21.1
    • pacemaker-debugsource-1.1.18+20180430.b12c320f5-3.21.1
    • pacemaker-remote-1.1.18+20180430.b12c320f5-3.21.1
    • pacemaker-remote-debuginfo-1.1.18+20180430.b12c320f5-3.21.1
  • SUSE Linux Enterprise High Availability 15 (noarch):
    • pacemaker-cts-1.1.18+20180430.b12c320f5-3.21.1

References: